Skip to main content
`Ctrl`+`K`

# PCHPDDMGetCoarseCorrectionType

Gets the coarse correction type.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMGetCoarseCorrectionType(PC pc, PCHPDDMCoarseCorrectionType *type)

## Input Parameter

- pc - preconditioner context

## Output Parameter

- type - `PC_HPDDM_COARSE_CORRECTION_DEFLATED`, `PC_HPDDM_COARSE_CORRECTION_ADDITIVE`, `PC_HPDDM_COARSE_CORRECTION_BALANCED`, or `PC_HPDDM_COARSE_CORRECTION_NONE`

## See Also

KSP: Linear System Solvers, `PCHPDDMSetCoarseCorrectionType()`, `PCHPDDM`, `PCHPDDMCoarseCorrectionType`

## Level

intermediate

## Location

src/ksp/pc/impls/hpddm/pchpddm.cxx

## Implementations

PCHPDDMGetCoarseCorrectionType_HPDDM() in src/ksp/pc/impls/hpddm/pchpddm.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages